Name:		fcitx-unikey
Version:	0.2.2
Release:	3%{?dist}
Summary:	Vietnamese Engine for Fcitx
Group:		System Environment/Libraries
License:	GPLv3+
URL:		https://fcitx-im.org/wiki/Unikey
Source0:	http://download.fcitx-im.org/fcitx-unikey/%{name}-%{version}.tar.xz

BuildRequires:	cmake, fcitx-devel, gettext, intltool
BuildRequires:	qt-devel
Requires:	fcitx

%description
A Vietnamese engine for Fcitx that uses Unikey.


%prep
%setup -q -n %{name}-%{version}


%build
mkdir -pv build
pushd build
%cmake ..
make %{?_smp_mflags} VERBOSE=1
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
popd

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_libdir}/fcitx/qt/*.so
%{_libdir}/fcitx/%{name}.so
%{_datadir}/fcitx/addon/%{name}.conf
%{_datadir}/fcitx/inputmethod/unikey.conf
%{_datadir}/fcitx/imicon/unikey.png
%{_datadir}/icons/hicolor/256x256/apps/fcitx-unikey.png

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 23 2013 Robin Lee <cheeselee@fedoraproject.org> - 0.2.2-1
- Update to 0.2.2
- License corrected from GPLv2+ to GPLv3+

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Dec 11 2012 Liang Suilong <liangsuilong@gmail.com> - 0.1.1-2
- Add qt4-devel as BuildRequires

* Tue Dec 11 2012 Liang Suilong <liangsuilong@gmail.com> - 0.1.1-1
- Upstream to fcitx-unikey-0.1.1

* Tue May 22 2012 Liang Suilong <liangsuilong@gmail.com> - 0.1.0-1
- Initial Package
